#!/bin/sh

PROJECT=/opt/amc
PIDFILE="/tmp/amc.pid"
GUNICORN="${PROJECT}/bin/gunicorn"
CONFIG="${PROJECT}/config/gunicorn_config.py"

CMD="${GUNICORN} --daemon --config=${CONFIG} flaskapp:app"

check_amc_status(){
    status=1
    if [ -z "`ps aux | grep amc | grep -v grep | grep gunicorn | grep master`" ]; then
        status=0
    fi
    echo $status
}

start_amc(){
  status=$(check_amc_status)
  if [ $status -eq 0 ] ; then     
      port_check=$(netstat -ln | grep ':8081 ' | grep LISTEN)
      if [ "$port_check" != "" ]
      then
        kill -9 `ps aux | grep amc | grep -v grep | grep worker | awk '{print $2}'`
      fi
      rm -f $PIDFILE
      ${CMD}
  fi
}

echo 0 > /opt/amc/stop_signal
finish=0
while [ $finish -eq 0 ]
do
   $(start_amc)
   sleep 2
   finish=$(cat /opt/amc/stop_signal)
done
