/******************************************************************************
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
******************************************************************************/

define("helper/job-table",["jquery","underscore","backbone","d3","helper/jqgrid-helper","helper/util","config/app-config"],function(e,t,n,r,i,s,o){var u={nodeTableIds:[],createOrUpdateRow:function(e,t,n,r,i){t=u.getNodeListData(r,n,t,i);try{u.getRowIndex(e,n)==="-1"&&(t.expanded=!1,window.counterI=0,jQuery(e).addRowData(n,t),jQuery(e).trigger("reloadGrid",[{page:1}]))}catch(s){console.info(s.toString())}},updateRow:function(e,t,n){try{jQuery(e).setRowData(n,t)}catch(r){console.info(r.toString())}},getRowIndex:function(e,t){var n=jQuery(e).jqGrid("getGridParam","data"),r=!1;for(var i in n){var s=n[i];if(t===s.id){r=!0;break}}return r||(i="-1"),i},getNodeListData:function(e,t,n,r){var i=n;return r?(i.address=u.statusInAddressHtmlStr(e.subGridEnabled[t],n.address,"red-address-text"),i):(i.net_io_bytes_formatted=s.bytesToSize(n.net_io_bytes),i.run_time=s.msecToTime(n.run_time),i.mem_arr=[n.mem_usage,e.attributes.memory["total-bytes-memory"]-n.mem_usage],i.address=u.statusInAddressHtmlStr(e.subGridEnabled[t],n.address,"green-address-text"),i)},statusInAddressHtmlStr:function(e,t,n){var r="";return r+='<div class="'+n+'">'+t+"</div>",e===!0?r+='<div class="expand-details" title="Click to collapse the row">Hide Details</div>':r+='<div class="expand-details" title="Click to expand the row">View Details</div>',r},initNodeGrid:function(t,n,r){function l(){if(window.AMCGLOBALS.activePage!=="jobs"){window.removeEventListener("resize",l,!0);return}e(t).setGridWidth(Math.max(window.innerWidth*.95,750))}var s=e(t).parent();s.children("div.toggleSearchHeader").css("display","inline-block"),s.children("div.toggleSearchHeader").off("click"),s.children("div.toggleSearchHeader").on("click",function(e){e.stopPropagation();var t=s.children("div.toggleSearchHeader").children("span").html();console.info(t),t==="+"?(t="-",s.find(".ui-search-toolbar").show()):(t="+",s.find(".ui-search-toolbar").hide()),s.children("div.toggleSearchHeader").children("span").html(t)});var u=Math.max(window.innerWidth*.95,750),a=jQuery(t).jqGrid({datatype:"local",hidegrid:!1,colNames:o.jobsList,colModel:o.jobsListColumn,height:"auto",loadui:"disable",loadonce:!0,subGrid:!0,headertitles:!0,sortname:"trid",sortorder:"asc",width:u,subGridRowExpanded:function(n,s){var o=t+" tr#"+s+" td:nth-child("+2+") .expand-details";e(o).html("Hide Details");var u=s.indexOf("_"),a=s.substr(0,u),f=s.substr(u+1),l=r[a].attributes.jobs[f];r[a].subGridEnabled[s]=!0;var c="";c=i.create2LevelTable("job","nodeExpanded_"+s,"expandDynamic",l),e("#"+n).html(c)},subGridRowColapsed:function(n,i){var s=t+" tr#"+i+" td:nth-child("+2+") .expand-details";e(s).html("View Details");var o=i.indexOf("_"),u=i.substr(0,o),a=i.substr(o+1),f=r[u].attributes.jobs[a];r[u].subGridEnabled[i]=!1},gridComplete:function(){},onSelectRow:function(n){e(t).jqGrid("toggleSubGridRow",n)},loadComplete:function(){e(t).jqGrid("hideCol","subgrid")}});i.columnHeaderTitleFormatter(a,o.nodeListColumn);var f={searchOnEnter:!1,defaultSearch:"cn",stringResult:!0,autosearch:!0};return jQuery(t).jqGrid("filterToolbar",f),window.addEventListener("resize",l,!0),a},statusInAddress:function(e,n,r,i){var s="";s+='<div class="'+i+'">'+r+"</div>";var o=e.expanded[n];return t.isUndefined(o)?s+='<div class="expand-details" title="Click to expand the row">View Details</div>':o===!0?s+='<div class="expand-details" title="Click to collapse the row">Hide Details</div>':s+='<div class="expand-details" title="Click to expand the row">View Details</div>',s}};return u}),define("views/jobs/nodeview",["jquery","underscore","backbone","helper/job-table","helper/jqgrid-helper","config/view-config","config/app-config"],function(e,t,n,r,i,s,o){var u=n.View.extend({isInitialized:!1,initialize:function(){this.rowID=this.options.rowID,this.modelID=this.options.modelID,this.jobID=this.options.jobID},removeRow:function(){var t=e("#"+this.rowID),n=t.next();n.hasClass("ui-subgrid")&&n.remove(),e(o.node.nodeTableDiv).delRowData(this.rowID),this.remove()},render:function(e,t){this.createJobListRow(o.node.nodeTableDiv,t,this.rowID,this.jobID,e,!1),e.data=t},renderNetworkError:function(e,t){this.createJobListRow(o.node.nodeTableDiv,t,this.rowID,this.jobID,e,!0),e.data=t},createJobListRow:function(t,n,u,a,f,l){r.createOrUpdateRow(t,n,u,f,l),r.updateRow(t,n,u),l||(n.mem_pie_chart=i.jqCustomPieFormatter(t,u,s.tablePieConfig,n.mem_arr,5));if(f.subGridEnabled[u]===!0){var c=o.node.nodeTableDiv.substr(1)+"_"+u,h=i.create2LevelTable("job","nodeExpanded_"+u,"expandDynamic",n);e("#"+c).html(h)}}});return u}),define("models/jobs/nodemodel",["underscore","backbone","poller","config/app-config","views/jobs/nodeview","helper/util"],function(e,t,n,r,i,s){var o=t.Model.extend({initVariables:function(){this.expanded={},this.jobList={},this.jobIDList=[],this.modelID=this.get("model_id"),this.totalNodes=+this.get("total_nodes"),this.address=this.get("address"),this.clusterID=window.AMCGLOBALS.persistent.clusterID,this.subGridEnabled={},this.startEventListeners()},url:function(){return r.baseUrl+window.AMCGLOBALS.persistent.clusterID+r.job.resourceUrl+this.address},initialize:function(){this.CID=window.AMCGLOBALS.currentCID;try{this.initVariables()}catch(e){console.info(e.toString())}},fetchSuccess:function(t){t.CID!==window.AMCGLOBALS.currentCID&&t.destroy();var n=t.attributes.node_status;if(n==="on"){var o=t.attributes.jobs,u=t.jobIDList,a=t.setJobIDList(o),a=[];e.isUndefined(o)||(a=t.setJobIDList(o));if(e.isEqual(u,a))for(var f in u){var l=u[f],c=t.modelID+"_"+l;t.rowView[l].render(t,o[l])}else{var h=e.difference(u,a),p=e.difference(a,u);for(var f in h){var l=h[f],c=t.modelID+"_"+l;t.rowView[l].removeRow(),t.rowView[l]=null,jQuery(r.node.nodeTableDiv).delRowData(c)}for(var f in p){var l=p[f],c=t.modelID+"_"+l;t.subGridEnabled[c]=!1,t.rowView[l]=new i({modelID:t.modelID,rowID:c,jobID:l}),t.rowView[l].render(t,o[l])}t.jobIDList=a,t.jobList=o}}else{var u=t.jobIDList;for(var f in u){var l=u[f],c=t.modelID+"_"+l,d=r.blankJobData(t.address,"N/A");t.jobList[l]=d,t.rowView[l].renderNetworkError(t,d)}}this.clusterID!==window.AMCGLOBALS.persistent.clusterID&&(this.clusterID=window.AMCGLOBALS.persistent.clusterID),typeof t.attributes.error!="undefined"&&t.attributes.error.indexOf("Invalid cluster id")!=-1&&(delete t.attributes.error,s.clusterIDReset())},setJobIDList:function(t){var n=[];return n=e.map(t,function(e,t){return t}),n},fetchError:function(e){e.CID!==window.AMCGLOBALS.currentCID&&e.destroy();var t=this;try{if((!!AMCGLOBALS.pageSpecific.GlobalPollingActive||!t.stop())&&this.active()){var n=e.jobIDList;for(var i in n){var s=n[i],o=e.modelID+"_"+s,u=r.blankJobData(e.address,"N/E");e.jobList[s]=u,e.rowView[s].renderNetworkError(e,u)}}}catch(a){console.info(a.toString())}},startEventListeners:function(){function t(){$(document).off("view:Destroy",t),e.destroy()}var e=this;$(document).off("view:Destroy",t).on("view:Destroy",t)}});return o}),define("collections/jobs/nodes",["jquery","underscore","backbone","helper/util","models/jobs/nodemodel","views/jobs/nodeview","config/app-config","config/view-config","helper/job-table"],function(e,t,n,r,i,s,o,u,a){var f=n.Collection.extend({model:i,initVariables:function(){this.clusterSizeAlertShown=!1,this.clusterIntegrityAlertShown=!1},initialize:function(){try{this.initVariables(),a.initNodeGrid(o.node.nodeTableDiv,u.nodePieConfig,this.models)}catch(e){console.info(e.toString())}},addModel:function(e,t,n,r){var s=new i({model_id:e,address:t,cluster_id:n,total_nodes:r});s.rowView={},this.add(s)}});return f}),define("models/jobs/clustermodel",["underscore","backbone","helper/util","models/jobs/nodemodel","collections/jobs/nodes","config/app-config"],function(e,t,n,r,i,s){var o=t.Model.extend({initialize:function(){this.CID=window.AMCGLOBALS.currentCID,this.initVariables(),this.startEventListeners(),this.on("change:nodes",function(){n.setUpdateInterval(this.get("update_interval")),n.updateModelPoller(this,s.updateInterval.cluster,!0),n.initSelectNodesToggling(".title-bar");if(n.isBelowVersion3(this.get("build"))){this.nodeList=this.get("nodes"),this.initSelectedNodes(),$("#nodeListGrid").empty(),n.displayOldVersionMsg("#nodeListGrid"),this.isOldVersion=!0;return}this.clusterInitialized===!1?(this.nodeList=this.get("nodes"),this.initSelectedNodes(),this.initNodeDetails(),this.clusterInitialized=!0):(this.validateNodeChange(),$("#nodeListSelectBtn").trigger("click"))}),this.on("change:update_interval",function(){typeof this.previous("update_interval")!="undefined"&&(n.setUpdateInterval(this.get("update_interval")),this.updatePollingInterval())}),this.on("change:different_cluster_nodes",function(){var e=this.get("different_cluster_nodes");e.length!==0&&n.showClusterDivertPopup("Node <strong>"+e[0]+"</strong> cannot be monitored here as it belongs to a different cluster")}),this.connectionReqErrCount=0,n.setGlobalClusterInfoInModel("clusters",this)&&this.fetchSuccess(this)},updatePollingInterval:function(){var e=this;n.updateModelPoller(e,s.updateInterval.cluster,!0),n.updateCollectionPoller(e.nodeCollection,s.updateInterval.nodes,!0)},initVariables:function(){this.isOldVersion=!1,this.clusterInitialized=!1,this.nodeList=null,this.clusterID=window.AMCGLOBALS.persistent.clusterID,this.nodeCollection=null},initSelectedNodes:function(){var t=!1;if(window.AMCGLOBALS.persistent.selectedNodesStr!==null){var n=window.AMCGLOBALS.persistent.selectedNodesStr.split(",");window.AMCGLOBALS.persistent.selectedNodes=e.intersection(this.nodeList,n);var r=window.AMCGLOBALS.persistent.selectedNodes.length;r>0&&(t=!0,r>s.maxStartNodes&&(window.AMCGLOBALS.persistent.selectedNodes=e.first(window.AMCGLOBALS.persistent.selectedNodes,s.maxStartNodes)),window.AMCGLOBALS.persistent.unSelectedNodes=e.difference(this.nodeList,window.AMCGLOBALS.persistent.selectedNodes))}this.initNodeList(!t)},initNodeList:function(t){if(t===!0){var n=this.nodeList.length;n>s.maxStartNodes?(window.AMCGLOBALS.persistent.selectedNodes=e.first(this.nodeList,s.maxStartNodes),window.AMCGLOBALS.persistent.unSelectedNodes=e.last(this.nodeList,n-s.maxStartNodes)):window.AMCGLOBALS.persistent.selectedNodes=this.nodeList}window.location.hash=window.AMCGLOBALS.activePage+"/"+window.AMCGLOBALS.persistent.seedNode+"/nodelist/"+window.AMCGLOBALS.persistent.selectedNodes.toString(),window.AMCGLOBALS.persistent.nodeList=this.nodeList,window.AMCGLOBALS.persistent.nodeListView.render(this)},validateNodeChange:function(){var t=this.nodeList,n=this.get("nodes"),r=e.difference(t,n),i=e.difference(n,t);if(e.isEmpty(r)&&e.isEmpty(i))return;e.isEmpty(r)||(this.deleteRemovedNodes(r),this.nodeList=e.difference(this.nodeList,r),window.AMCGLOBALS.persistent.selectedNodes=e.difference(window.AMCGLOBALS.persistent.selectedNodes,r),window.AMCGLOBALS.persistent.unSelectedNodes=e.difference(window.AMCGLOBALS.persistent.unSelectedNodes,r));if(!e.isEmpty(i)){this.nodeList=e.union(this.nodeList,i);if(window.AMCGLOBALS.persistent.selectedNodes.length<s.maxStartNodes){while(i.length>0){if(window.AMCGLOBALS.persistent.selectedNodes.length>=s.maxStartNodes)break;window.AMCGLOBALS.pageSpecific.toBeSelectedNodes.push(i[0]),window.AMCGLOBALS.persistent.selectedNodes.push(i.shift())}i.length>0&&(window.AMCGLOBALS.persistent.unSelectedNodes=e.union(window.AMCGLOBALS.persistent.unSelectedNodes,i))}else window.AMCGLOBALS.persistent.unSelectedNodes=e.union(window.AMCGLOBALS.persistent.unSelectedNodes,i)}$(s.cluster.addressListOL).selectable("disable"),$(s.cluster.addressListOLContainerDiv).empty(),$(s.cluster.addressListOLContainerDiv).html('<ol id="nodeListSelectable"></ol>'),e.isEmpty(window.AMCGLOBALS.persistent.selectedNodes)?(this.refreshGrid(this.nodeCollection),this.initSelectedNodes(),this.initNodeDetails()):this.initNodeList(!1)},deleteRemovedNodes:function(e){for(var t in e){var r=e[t];n.deleteJobFromClusterModel(this,r)}},url:function(){return s.baseUrl+window.AMCGLOBALS.persistent.clusterID},fetchSuccess:function(e){n.setGlobalClusterInfo({type:"clusters",attributes:e.attributes}),n.removeEnviromentSetupUI(),e.connectionReqErrCount=0,n.hideAMCNEErrorAlert();if(e.CID!==window.AMCGLOBALS.currentCID){e.destroy();return}e.isOldVersion&&n.updateModelPoller(e,window.AMCGLOBALS.persistent.updateInterval,!1),this.clusterID!==window.AMCGLOBALS.persistent.clusterID&&(this.clusterID=window.AMCGLOBALS.persistent.clusterID),typeof e.attributes.error!="undefined"&&e.attributes.error.indexOf("Invalid cluster id")!=-1&&(delete e.attributes.error,n.clusterIDReset())},fetchError:function(e){if(e.CID!==window.AMCGLOBALS.currentCID){e.destroy();return}AMCGLOBALS.pageSpecific.GlobalPollingActive&&s.maxConnectionRequestErrorBeforeAlert<=++e.connectionReqErrCount&&n.showAMCNEErrorAlert();var t=this;!AMCGLOBALS.pageSpecific.GlobalPollingActive&&n.updateModelPoller(e,window.AMCGLOBALS.persistent.updateInterval,!1)},initNodeDetails:function(){this.totalNodes=this.nodeList.length,this.nodeCollection=new i,this.createNewGridCollection(this.nodeCollection,window.AMCGLOBALS.persistent.selectedNodes,window.AMCGLOBALS.persistent.selectedNodes.length)},refreshGrid:function(e,t){$(t).jqGrid("clearGridData");for(var n in e.models)e.models[n].attributes.row_id=n,$(t).jqGrid("clearGridData");$(t).jqGrid("clearGridData")},createNewGridCollection:function(e,t,r,i){r=t.length;for(var s=0;s<r;s++)n.createNewJobModel(this,e,s,t[s],2,"jobs",i)},startEventListeners:function(){function r(){$(document).off("view:Destroy",r),t.destroy()}var t=this;$(document).off("view:Destroy",r).on("view:Destroy",r),window.$("#nodeListSelectBtn").off("click").on("click",function(r){var i=$("#all_address_checkboxes");$("#nodeListSelectable li.ui-selected").removeClass("unselectable").addClass("selectable"),$("#nodeListSelectable li").not("#nodeListSelectable li.ui-selected").removeClass("selectable").addClass("unselectable"),n.checkMaxLimitAndResetToDefaultMax(i,t),$(i).find("li").each(function(){try{if($(this).hasClass("ui-selected")){var r=$(this).find(".li-node-addr").text();if(!e.contains(window.AMCGLOBALS.persistent.selectedNodes,r)||e.contains(window.AMCGLOBALS.pageSpecific.toBeSelectedNodes,r))n.addJobToClusterModel(t,r),window.AMCGLOBALS.persistent.selectedNodes=e.union(window.AMCGLOBALS.persistent.selectedNodes,[r]),window.AMCGLOBALS.persistent.unSelectedNodes=e.difference(window.AMCGLOBALS.persistent.unSelectedNodes,[r]),window.AMCGLOBALS.pageSpecific.toBeSelectedNodes.splice(window.AMCGLOBALS.pageSpecific.toBeSelectedNodes.indexOf(r,1))}else{var r=$(this).find(".li-node-addr").text();e.contains(window.AMCGLOBALS.persistent.selectedNodes,r)&&(n.deleteJobFromClusterModel(t,r),window.AMCGLOBALS.persistent.selectedNodes=e.difference(window.AMCGLOBALS.persistent.selectedNodes,[r]),window.AMCGLOBALS.persistent.unSelectedNodes=e.union(window.AMCGLOBALS.persistent.unSelectedNodes,[r]))}n.updateTabLinks(),window.location.hash=window.AMCGLOBALS.activePage+"/"+window.AMCGLOBALS.persistent.seedNode+"/nodelist/"+window.AMCGLOBALS.persistent.selectedNodes.toString(),n.updateSelectAllToggle()}catch(i){console.info("error in LI iterator")}})});var i=$("#nodeContainer .card_layout");i.off("startPoller",t.startModelPoller).on("startPoller",{model:t},t.startModelPoller),i.off("stopPoller",t.stopModelPoller).on("stopPoller",{model:t},t.stopModelPoller)},startModelPoller:function(e){n.updateCollectionPoller(e.data.model.nodeCollection,s.updateInterval.nodes,!0)},stopModelPoller:function(e){n.updateCollectionPoller(e.data.model.nodeCollection,s.updateInterval.nodes,!1)}});return o});